WebSphereHTTPTransport (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereHTTPTransport interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereHTTPTransport

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebSphereNamedEndpoint

    public interface WebSphereHTTPTransport

extends WebSphereNamedEndpoint

A WebSphere Server

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getExternalUsage()`
`boolean` | `getSslEnabled()`
`WebSphereSSLSettings` | `getSslSettings()`
`WebSphereVirtualHost` | `getVirtualHost()`
`boolean` | `hasExternalUsage()`
`boolean` | `hasSslEnabled()`
`boolean` | `hasSslSettings()`
`boolean` | `hasVirtualHost()`
`void` | `setExternalUsage(boolean ext)`
`void` | `setSslEnabled(boolean ssl)`
`void` | `setSslSettings(WebSphereSSLSettings sslSet)`
`void` | `setVirtualHost(WebSphereVirtualHost vHost)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereNamedEndpoint
`getBindAddress, getHostName, getName, hasBindAddress, hasHostName, hasName, setBindAddress, setHostName, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getExternalUsage

    boolean getExternalUsage()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExternalUsage

    void setExternalUsage(boolean ext)

### hasExternalUsage

    boolean hasExternalUsage()

### getSslEnabled

    boolean getSslEnabled()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSslEnabled

    void setSslEnabled(boolean ssl)

### hasSslEnabled

    boolean hasSslEnabled()

### getSslSettings

    WebSphereSSLSettings getSslSettings()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setSslSettings

    void setSslSettings(WebSphereSSLSettings sslSet)

### hasSslSettings

    boolean hasSslSettings()

### getVirtualHost

    WebSphereVirtualHost getVirtualHost()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setVirtualHost

    void setVirtualHost(WebSphereVirtualHost vHost)

### hasVirtualHost

    boolean hasVirtualHost()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD